## com.puppycrawl.tools.checkstyle
Class CheckStyleTask.Formatter

    java.lang.Object
      com.puppycrawl.tools.checkstyle.CheckStyleTask.Formatter

Enclosing class:
  CheckStyleTask

    public static class CheckStyleTask.Formatter

extends Object

Details about a formatter to be used.

Author:
  Oliver Burn

Constructor Summary
`CheckStyleTask.Formatter()`

Method Summary
`AuditListener` `createListener(org.apache.tools.ant.Task aTask)` Creates a listener for the formatter.
`void` `setTofile(File aTo)` Set the file to output to.
`void` `setType(CheckStyleTask.FormatterType aType)` Set the type of the formatter.
`void` `setUseFile(boolean aUse)` Sets whether or not we write to a file if it is provided.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckStyleTask.Formatter

    public CheckStyleTask.Formatter()

Method Detail

### setType

    public void setType(CheckStyleTask.FormatterType aType)

  Set the type of the formatter.

  Parameters:
    `aType` - the type

### setTofile

    public void setTofile(File aTo)

  Set the file to output to.

  Parameters:
    `aTo` - the file to output to

### setUseFile

    public void setUseFile(boolean aUse)

  Sets whether or not we write to a file if it is provided.

  Parameters:
    `aUse` - whether not not to use provided file.

### createListener

    public AuditListener createListener(org.apache.tools.ant.Task aTask)
                                 throws IOException

  Creates a listener for the formatter.

  Parameters:
    `aTask` - the task running
  Returns:
    a listener
  Throws:
    `IOException` - if an error occurs

Copyright © 2001-2011. All Rights Reserved.